## GladeInspector

GladeInspector — A widget for inspecting objects in a GladeProject.

## Functions

GtkWidget * | glade_inspector_new ()
GtkWidget * | glade_inspector_new_with_project ()
void | glade_inspector_set_project ()
GladeProject * | glade_inspector_get_project ()
GList * | glade_inspector_get_selected_items ()

## Properties

GladeProject * | project | Read / Write

## Signals

void | item-activated | Run Last
void | selection-changed | Run Last

## Types and Values

| GladeInspector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeInspector

## Implemented Interfaces

GladeInspector implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A GladeInspector is a widget for inspecting the objects that make up a user interface.

An inspector is created by calling either `glade_inspector_new()` or `glade_inspector_new_with_project()`. The current project been inspected can be changed by calling `glade_inspector_set_project()`.

## Functions

### glade_inspector_new ()

    GtkWidget *
    glade_inspector_new (void);

Creates a new GladeInspector

#### Returns

a new GladeInspector.

[transfer full]

### glade_inspector_new_with_project ()

    GtkWidget *
    glade_inspector_new_with_project (GladeProject *project);

Creates a new GladeInspector with `project`

#### Parameters

project | a GladeProject |

#### Returns

a new GladeInspector.

[transfer full]

### glade_inspector_set_project ()

    void
    glade_inspector_set_project (GladeInspector *inspector,
                                 GladeProject *project);

Sets the current project of `inspector` to `project` . To unset the current project, pass `NULL` for `project` .

#### Parameters

inspector | a GladeInspector |
project | a GladeProject |

### glade_inspector_get_project ()

    GladeProject *
    glade_inspector_get_project (GladeInspector *inspector);

Note that the method does not ref the returned GladeProject.

#### Parameters

inspector | a GladeInspector |

#### Returns

A GladeProject.

[transfer none]

### glade_inspector_get_selected_items ()

    GList *
    glade_inspector_get_selected_items (GladeInspector *inspector);

Returns the selected items in the inspector.

#### Parameters

inspector | a GladeInspector |

#### Returns

A GList of GladeWidget.

[transfer container][element-type GladeWidget]

## Types and Values

### GladeInspector

    typedef struct _GladeInspector GladeInspector;

The GladeInspector struct contains private data only, and should be manipulated using the functions below.

## Property Details

### The `“project”` property

      “project”                  GladeProject *

The project being inspected.

Owner: GladeInspector

Flags: Read / Write

## Signal Details

### The `“item-activated”` signal

    void
    user_function (GladeInspector *inspector,
                   gpointer        user_data)

Emitted when a item is activated in the GladeInspector.

#### Parameters

inspector | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“selection-changed”` signal

    void
    user_function (GladeInspector *inspector,
                   gpointer        user_data)

Emitted when the selection changes in the GladeInspector.

#### Parameters

inspector | the object which received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last